### Hierarchy

- JenkinsAction
  - JenkinsTimeInQueueAction

### Implements

- IJenkinsAction

## Index

### Constructors

- constructor

### Properties

- _class
- data
- jsonData
- queuingDurationMillis
- timeInQueueClassName
- totalDurationMillis

### Methods

- fromJson
- fromJsonString
- get
- getJsonData
- getQueuingDurationMillis
- getTotalDurationMillis
- has
- isClass
- isTimeInQueueActionClass

## Constructors

### constructor

- new JenkinsTimeInQueueAction(): JenkinsTimeInQueueAction

- Overrides JenkinsAction.constructor

  - Defined in JenkinsTimeInQueueAction.ts:6

  #### Returns JenkinsTimeInQueueAction

## Properties

### _class

_class: string

Implementation of IJenkinsAction._class

Inherited from JenkinsAction._class

- Defined in JenkinsAction.ts:8

### data

data: Map<string, any>

Implementation of IJenkinsAction.data

Inherited from JenkinsAction.data

- Defined in JenkinsAction.ts:9

### jsonData

jsonData: JSON

Inherited from JenkinsAction.jsonData

- Defined in JenkinsAction.ts:6

### Private queuingDurationMillis

queuingDurationMillis: number = 0

- Defined in JenkinsTimeInQueueAction.ts:5

### Protected timeInQueueClassName

timeInQueueClassName: string = "jenkins.metrics.impl.TimeInQueueAction"

Inherited from JenkinsAction.timeInQueueClassName

- Defined in JenkinsAction.ts:11

### Private totalDurationMillis

totalDurationMillis: number = 0

- Defined in JenkinsTimeInQueueAction.ts:6

## Methods

### fromJson

- fromJson(data: JSON): void

- Implementation of IJenkinsAction.fromJson

  Overrides JenkinsAction.fromJson

  - Defined in JenkinsTimeInQueueAction.ts:31

  #### Parameters

  - ##### data: JSON

  #### Returns void

### fromJsonString

- fromJsonString(json: string): void

- Implementation of IJenkinsAction.fromJsonString

  Overrides JenkinsAction.fromJsonString

  - Defined in JenkinsTimeInQueueAction.ts:24

  #### Parameters

  - ##### json: string

  #### Returns void

### get

- get(keyName: string): any

- Implementation of IJenkinsAction.get

  Inherited from JenkinsAction.get

  - Defined in JenkinsAction.ts:42

  #### Parameters

  - ##### keyName: string

  #### Returns any

### getJsonData

- getJsonData(): string

- Implementation of IJenkinsAction.getJsonData

  Inherited from JenkinsAction.getJsonData

  - Defined in JenkinsAction.ts:17

  #### Returns string

### getQueuingDurationMillis

- getQueuingDurationMillis(): number

- - Defined in JenkinsTimeInQueueAction.ts:16

  #### Returns number

### getTotalDurationMillis

- getTotalDurationMillis(): number

- - Defined in JenkinsTimeInQueueAction.ts:20

  #### Returns number

### has

- has(keyName: string): boolean

- Implementation of IJenkinsAction.has

  Inherited from JenkinsAction.has

  - Defined in JenkinsAction.ts:35

  #### Parameters

  - ##### keyName: string

  #### Returns boolean

### isClass

- isClass(className: string): boolean

- Implementation of IJenkinsAction.isClass

  Inherited from JenkinsAction.isClass

  - Defined in JenkinsAction.ts:21

  #### Parameters

  - ##### className: string

  #### Returns boolean

### isTimeInQueueActionClass

- isTimeInQueueActionClass(): boolean

- Implementation of IJenkinsAction.isTimeInQueueActionClass

  Overrides JenkinsAction.isTimeInQueueActionClass

  - Defined in JenkinsTimeInQueueAction.ts:12

  #### Returns boolean

Generated using TypeDoc